summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author cRaig Forrester <treehead@gmail.com>2010-05-11 20:02:11 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:11 +0200
commit15913ef322a7ab1dc56c8552bc9fc137bd7b2217 (patch)
treeb2c62bb0b60130381f1cf838f07bdea0753fcfb4
parent4799691c4e1d7024bff7324646f8f604ce0e2516 (diff)
downloadslackbuilds-15913ef322a7ab1dc56c8552bc9fc137bd7b2217.tar.gz
slackbuilds-15913ef322a7ab1dc56c8552bc9fc137bd7b2217.tar.xz
system/x2vnc: Added to 12.0 repository
-rw-r--r--system/x2vnc/README8
-rw-r--r--system/x2vnc/slack-desc19
-rw-r--r--system/x2vnc/x2vnc.SlackBuild93
-rw-r--r--system/x2vnc/x2vnc.info8
4 files changed, 128 insertions, 0 deletions
diff --git a/system/x2vnc/README b/system/x2vnc/README
new file mode 100644
index 0000000000..643fce885f
--- /dev/null
+++ b/system/x2vnc/README
@@ -0,0 +1,8 @@
+x2vnc will let you use two screens on two different computers as if
+they were connected to the same computer, even if one of the computers
+runs Windows and the other one runs X on *nix.
+
+This requires a vnc client such as TightVNC (available at SlackBuilds.org)
+in order to be useful, but there's no compile-time requirement for one.
+
+See the x2vnc homepage and x2vnc(1) for usage information.
diff --git a/system/x2vnc/slack-desc b/system/x2vnc/slack-desc
new file mode 100644
index 0000000000..db664c9e67
--- /dev/null
+++ b/system/x2vnc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+x2vnc: X2VNC (a software KVM switch for VNC)
+x2vnc:
+x2vnc: x2vnc is an implementation of the VNC RFB protocol designed to
+x2vnc: control a machine running a VNC server in a dual-monitor situation.
+x2vnc: Its effect is to make the controlled machine's display function as if
+x2vnc: attached to the controlling machine, allowing the use of just one set
+x2vnc: of input devices on two or more machines.
+x2vnc:
+x2vnc:
+x2vnc:
+x2vnc:
diff --git a/system/x2vnc/x2vnc.SlackBuild b/system/x2vnc/x2vnc.SlackBuild
new file mode 100644
index 0000000000..e2b5bdda69
--- /dev/null
+++ b/system/x2vnc/x2vnc.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+#
+# Slackware build script for x2vnc
+#
+# Copyright (c) 2008 cRaig Forrester <treehead@gmail.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# - mostly comment removal and such; no substantial changes
+
+PRGNAM=x2vnc
+VERSION=1.7.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+
+mkdir -p $PKG/usr/{bin,man}
+make install DESTDIR=$PKG MANDIR=/usr/man BINDIR=/usr/bin
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/x2vnc/x2vnc.info b/system/x2vnc/x2vnc.info
new file mode 100644
index 0000000000..2a4a4e3c08
--- /dev/null
+++ b/system/x2vnc/x2vnc.info
@@ -0,0 +1,8 @@
+PRGNAM="x2vnc"
+VERSION="1.7.2"
+HOMEPAGE="http://fredrik.hubbe.net/x2vnc.html"
+DOWNLOAD="http://fredrik.hubbe.net/x2vnc/x2vnc-1.7.2.tar.gz"
+MD5SUM="f23f86bcfa12a80eaeb886ab9b3ee447"
+MAINTAINER="cRaig Forrester"
+EMAIL="treehead@gmail.com"
+APPROVED="rworkman"